from io_module import IO_Module
from modbus import Modbus
from log_reader import AnalogInputLogReader
import colorama
from colorama import Fore
from time import sleep
from serial import Serial
from mb_registers import AO_REGS


class IO_AnalogOutput(IO_Module):

    def __init__(self, modbus: Modbus):
        self.modbus = modbus
        super().__init__(self.modbus)



def main():
    colorama.init(autoreset=True)
    serial_port = Serial('COM24', 115200, timeout=0.05, parity='N', xonxoff=False)
    ao_modbus = Modbus(serial_port, 1)
    ao = IO_AnalogOutput(ao_modbus)

    '''Тесты отдельного модуля аналоговых выходов'''
    ao.sys.get_system_vars()



if __name__ == '__main__':
    main()

